#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifndef DATAPATH
#define DATAPATH "/var/adm/tac_plus"
#endif

#ifndef TAC_PLUS_DBFILE
 #define	TAC_PLUS_DBFILE	DATAPATH "/user.db"
#endif

#ifndef RUNPATH
 #define	RUNPATH "/etc"
#endif

#ifndef SCANTIME
 #define	SCANTIME 60
#endif

#ifndef TAC_PLUS_DENYDIR
 #define	TAC_PLUS_DENYDIR "/deny"
#endif

#ifndef ACTPROG
 #define	ACTPROG "/usr/local/sbin/killuser"
#endif

#ifndef REINIT
 #define	REINIT 0
#endif

#ifndef LOG_FACIL
 #define	LOG_FACIL LOG_LOCAL6
#endif


#if defined(__linux__) || defined(_AIX)
 #include <sys/file.h>
 #ifndef L_SET
  #define L_SET SEEK_SET
 #endif
 #define O_EXLOCK LOCK_EX
#endif

#ifdef DBF_1
typedef struct {
    long tl;			/* time limit      */
    long tll;			/* time limit left */
    long dl;			/* day  limit      */
    long dll;			/* day  limit left */
    long tot;			/* total time      */
} TQ_st;
#endif

#define LMTNAME "update"
#define VERSION "0.96"
